# Recipe Book

![Banner Image](https://i.imgur.com/fV8R9eg.png)

## Description

**Note:** in order to close the inventory menu, you must press the button you have assigned for opening it (default Tab). I have tried to get pressing 'Escape' working, but have not been able to do so yet.

Adds GUI to the inventory menu that allows you to browse recipes and uses for an item. On the right side of the screen there is a button for every item that you've discovered in the game so far. You can configure hiding the unknown resources and recipes. I recommend leaving this enabled, to avoid setting up production lines you haven't unlocked yet.

Above the items, there is a search bar. This search bar is automatically focused when you open the inventory menu. This means you can press Tab to open the inventory, and immidiately start typing to search items, you do not need to click in the search bar.

For Blast Smelter's item rates (see screenshot below), when you see a rate like '<=50/min', that means one Blast Smelter can consume / produce up to that amount per minute. Blast Smelters operate on 12s cycles, which means 5 cycles / minute. If you have the Unlock 'BS Multi Blast V', your Blast Smelter can handle 10x crafts in one blast. In the screenshot below, 1 Iron Powder goes to 1 Iron Ingot. With 'BS Multi Blast V', a single blast will consume 10 Iron Powder and produce 10 Iron Ingot. At 5 cycles / minute, this means 50 of each will be consumed / produced per minute, as long as the Blast Smelter is receiving enough Iron Powder in time. 

## Screenshots

![The items list](https://i.imgur.com/Gw0s5RL.png)
![Recipes example](https://i.imgur.com/PxQPOaE.png)
![Uses Example](https://i.imgur.com/55Mc0pc.png)
![Blast Smelter rate](https://i.imgur.com/eUwb5ze.png)

## Config Options

| Name           |  Type  | Description                               | Default Value |
|----------------|:------:|-------------------------------------------|:-------------:|
| Filter Unknown | Toggle | Whether to hide unknown items and recipes |      true     |

&nbsp;
## Installation

### Techtonica Mod Loader Installation

You can download the Techtonica Mod Loader from [here](https://github.com/CubeSuite/TechtonicaModLoader/releases) and use that to install this mod.

### Manual Install Instructions

Note: If you are playing on Gamepass, your game version is likely behind the steam version. Please check the version compatibility chart below.

Your game folder is likely in one of these places:  
    • Steam: (A-Z):/steam/steamapps/common/Techtonica  
    • Gamepass: (A-Z):/XboxGames/Techtonica/Content  
    • Gamepass: Could also be in C:/Program Data/WindowsApps  

1. Download BepInEx v5.4.21 from [here](https://github.com/BepInEx/BepInEx/releases)
1. Follow the installation instructions [here](https://docs.bepinex.dev/articles/user_guide/installation/index.html)
1. Download and install any dependencies.
1. Extract the contents of the .zip file for this mod.
1. Drag the "BepInEx" folder into your game folder.
1. Change config options. 

## Version Compatibility

|  Mod Version  |  Game Version  |
|:-------------:|:--------------:|
|     v1.x.x    |     v0.3.0e    |

## Changelog

### V1.0.0

Initial release.

&nbsp;
## Disclaimer

Note: NEW Games must be loaded, saved, and reloaded for mods to take effect. Existing saves will auto-apply mods. 
Please be sure to backup your saves before using mods: AppData\LocalLow\Fire Hose Games\Techtonica 
USE AT YOUR OWN RISK! Techtonica Devs do not provide support for Mods, and cannot recover saves damaged by mod usage.

Some assets may come from Techtonica or from the website created and owned by Fire Hose Games, who hold the copyright of Techtonica. All trademarks and registered trademarks present in any images are proprietary to Fire Hose Games.

## Credits

[Book Icon](https://www.svgrepo.com/svg/532298/book-section)